Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtPointSeriesData Class Reference

Interface for iterating over an array of points. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPointSeriesData:

## Public Member Functions
| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QPointF >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QPointF > &samples)
void | setSamples (const QVector< QPointF > &samples)
const QVector< QPointF > | samples () const
virtual size_t | size () const override
virtual QPointF | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QPointF >
QVector< QPointF > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of points.

Definition at line 209 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## ◆ QwtPointSeriesData()

QwtPointSeriesData::QwtPointSeriesData | ( | const QVector< QPointF > & | samples = `QVector< QPointF >( )` | ) |

Constructor

Parameters

  samples | Samples

Definition at line 250 of file qwt_series_data.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtPointSeriesData::boundingRect | ( |  | ) | const
| override virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< QPointF >.

Reimplemented in QwtSyntheticPointData.

Definition at line 263 of file qwt_series_data.cpp.